OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Error BD Migracion 2.2.4 - 2.3.0

Foro de soporte en español de Public Knowledge Project.

Moderators: jmacgreg, vlilloh

Forum rules
PKP se complace de proporcionar un foro dedicado a nuestros usuarios de habla española en todo el mundo.

Por favor, sea libre de hablar de cualquier aspecto acerca de Open Journal Systems; Open Conference Systems; Open Monograph Press; Open Harvester Systems; and Lemon8-XML; en este foro en español.

Tenga en cuenta que este foro está moderado por la comunidad, y no gestionado directamente por el equipo de desarrollo de PKP, aunque participen de vez en cuando.

Error BD Migracion 2.2.4 - 2.3.0

Postby brianp » Mon Sep 26, 2011 2:04 pm

Hola a todos,

estoy tratando de subir el portal de revistas que actualmente esta en la versión 2.2.3 a la 2.3.3-3, he probado subirla por parche pero no actualiza, el parche genera muchos errores, actualmente estoy tratando la actualización Full Package una a una, logre subirla de la 2.2.3 a la 2.2.4 sin problemas pero al hacer el update de la BD de la version 2.2.4 a la 2.3.0 genera el siguiente error :

PHP Fatal error: Class 'DataObject' not found in /var/www/html/ojs/classes/security/Role.inc.php on line 32

el error se genera tanto en la versión de prueba que estoy migrando como en una versión totalmente en blanco que probé. no creo estar saltándome alguna versión pues en la pagina oficial dice que es la que sigue.

si alguien me pude colaborar quedare muy agradecido.
brianp
 
Posts: 2
Joined: Wed Aug 31, 2011 7:36 am

Re: Error BD Migracion 2.2.4 - 2.3.0

Postby ymleon » Fri Sep 30, 2011 8:38 am

Bueno yo cuando voy a actualizar lo que hago es que no tengo en cuenta las versiones 2.2.3-x sino que migro de 2.2.3 a la 2.3.4 por ejemplo y hasta ahora me ha dado muy buen resultado, siempre migro full packs.
Saludos
ymleon
 
Posts: 51
Joined: Tue Oct 07, 2008 8:32 am

Re: Error BD Migracion 2.2.4 - 2.3.0

Postby brianp » Wed Oct 05, 2011 9:35 am

Correcto, la migración de la versión 2.2.3 a la versión 2.2.4 no genera ningún problemas, el problema se presenta cuando se sube de la 2.2.4 a la 2.3.0

Yo he realizado pruebas con una versión en blanco, recién instalada de la versión 2.2.4 para subirla a la 2.3.0 utilizando la migración por parche y utilizando Full Package y de ninguna de las dos maneras es posible. siempre genera el mismo error.

PHP Fatal error: Class 'DataObject' not found in /var/www/html/ojs/classes/security/Role.inc.php on line 32

Si alguien tiene algún consejo o aporte que me ayude a solucionar este problema le agradecería.
brianp
 
Posts: 2
Joined: Wed Aug 31, 2011 7:36 am

Re: Error BD Migracion 2.2.4 - 2.3.0

Postby ymleon » Wed Oct 05, 2011 11:39 am

A mi cuando pase por esas versiones me sucedió lo mismo, estoy tratando de recordar a ver como lo resolví...
en cuanto lo tengo te lo hago saber.
ymleon
 
Posts: 51
Joined: Tue Oct 07, 2008 8:32 am


Return to PKP Soporte en Español

Who is online

Users browsing this forum: No registered users and 1 guest